$cdn: 'https://cdn1.homeadvisor.com';
$angi: 'https://my.angi.com';
$homeadvisor: 'https://homeadvisor.com';

// Mixin for fonts (National2, currently) served to the Angi domain
@mixin font-face-angi($weight, $style, $family, $path) {
  // TODO: remove CDN URLs if they result in CORS errors on my.angi.com
  // TODO: try replacing HA CDN urls with S3 URLs, e.g.,
  // https://media.angi.com/fonts/National/national-2-web-regular

  // Fallback logic:
  // 1. fetch from CDN
  // 2. if CDN fails (e.g., due to CORS), get from root on my.angi.com
  // 3. if root fails, get from app

  @font-face {
    font-weight: $weight;
    font-style: $style;
    font-family: $family;
    src: url('#{$cdn}#{$path}.eot') format('eot'),
      url('#{$angi}#{$path}.eot') format('eot'),
      url('#{$path}.eot') format('eot'),
      url('#{$cdn}#{$path}.eot?#iefix') format('eot'),
      url('#{$angi}#{$path}.eot?#iefix') format('eot'),
      url('#{$path}.eot?#iefix') format('eot'),
      url('#{$cdn}#{$path}.woff2') format('woff2'),
      url('#{$angi}#{$path}.woff2') format('woff2'),
      url('#{$path}.woff2') format('woff2'),
      url('#{$cdn}#{$path}.woff') format('woff'),
      url('#{$angi}#{$path}.woff') format('woff'),
      url('#{$path}.woff') format('woff');
    font-display: swap;
  }
}

// Mixin for fonts (SharpSans, currently) served to the HA domain
@mixin font-face-homeadvisor($weight, $style, $family, $path) {
  // Fallback logic:
  // 1. fetch from CDN
  // 2. if CDN fails (e.g., due to CORS), get from root on my.angi.com
  // 3. if root fails, get from app

  @font-face {
    font-weight: $weight;
    font-style: $style;
    font-family: $family;
    src: url('#{$cdn}#{$path}.eot') format('eot'),
      url('#{$homeadvisor}#{$path}.eot') format('eot'),
      url('#{$path}.eot') format('eot'),
      url('#{$cdn}#{$path}.eot?#iefix') format('eot'),
      url('#{$homeadvisor}#{$path}.eot?#iefix') format('eot'),
      url('#{$path}.eot?#iefix') format('eot'),
      url('#{$cdn}#{$path}.woff2') format('woff2'),
      url('#{$homeadvisor}#{$path}.woff2') format('woff2'),
      url('#{$path}.woff2') format('woff2'),
      url('#{$cdn}#{$path}.woff') format('woff'),
      url('#{$homeadvisor}#{$path}.woff') format('woff'),
      url('#{$path}.woff') format('woff'),
      url('#{$cdn}#{$path}.ttf') format('truetype'),
      url('#{$homeadvisor}#{$path}.ttf') format('truetype'),
      url('#{$path}.ttf') format('truetype');
    font-display: swap;
  }
}

@include font-face-angi(
  400,
  normal,
  National,
  '/fonts/National2-regular/national-2-web-regular'
);

@include font-face-angi(
  400,
  italic,
  National,
  '/fonts/National2-regular/national-2-web-regular-italic'
);

@include font-face-angi(
  500,
  normal,
  National,
  '/fonts/National2-medium/national-2-web-medium'
);

@include font-face-angi(
  500,
  italic,
  National,
  '/fonts/National2-medium/national-2-web-medium-italic'
);

@include font-face-angi(
  600,
  normal,
  National,
  '/fonts/National2-bold/national-2-web-bold'
);

@include font-face-angi(
  600,
  italic,
  National,
  '/fonts/National2-bold/national-2-web-bold-italic'
);

@include font-face-homeadvisor(
  normal,
  normal,
  SharpSans,
  '/fonts/SharpSans-medium/SharpSans-Medium'
);

@include font-face-homeadvisor(
  normal,
  italic,
  SharpSans,
  '/fonts/SharpSans-medium/SharpSans-MediumItalic'
);

@include font-face-homeadvisor(
  600,
  normal,
  SharpSans,
  '/fonts/SharpSans-semibold/SharpSans-Semibold'
);

@include font-face-homeadvisor(
  600,
  italic,
  SharpSans,
  '/fonts/SharpSans-semibold/SharpSans-SemiboldItalic'
);

@include font-face-homeadvisor(
  700,
  normal,
  SharpSans,
  '/fonts/SharpSans-bold/SharpSans-Bold'
);

@include font-face-homeadvisor(
  700,
  italic,
  SharpSans,
  '/fonts/SharpSans-bold/SharpSans-BoldItalic'
);
